:root{
    --blue: #3174dc;
    --green: #20c45d;
    --orange: #ff9900;
    --red: #dc2a29;
}

@font-face {
  font-family: Inter;
  src: url("../fonts/Inter-Italic-VariableFont_opsz,wght.ttf");
  font-style: italic;
}

@font-face {
  font-family: Inter;
  src: url("../fonts/Inter-VariableFont_opsz,wght.ttf");
}

*{
    box-sizing: border-box;
}

body {
  background-color: #ffffff;
  font-family: "Inter", sans-serif;
  position: relative;
  font-size: 16px;
}

body.log-in{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-image: linear-gradient(
          to right,
          #113754 0%,   #113754 8%,
          #442a72 8%,   #442a72 16%,
          #781d90 16%,  #781d90 24%,
          #ab10ae 24%,  #ab10ae 32%,
          #de03cc 32%,  #de03cc 40%,
          #ffffff 40%,  #ffffff 100%
        );
    display: grid;
    grid-template-columns: .4fr .6fr;
}

.log-in-container{
    grid-column: 2;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    padding-left: 10%;
    color: #333333;
    svg{
        width: 1rem;
    }

    form{
        width: 60%;
    }
    a{
        color: inherit;
    }

    a:hover{
        color: #de03cc;
    }
}

.log-in-logo{
    height: 3.5rem;
    align-self: flex-start;
    margin-bottom: 1rem;
}

.log-in-group{
    display: grid;
    grid-template-columns: 2rem 1fr;
    align-items: center;
    justify-items: center;
    background-color: #eeeeee;
    border-radius: 2px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    padding-top: .5rem;
    padding-bottom: .5rem;

    input{
        width: 100%;
        border: 0;
        outline: none;
        background: transparent;
    }

    svg{
        max-height: 24px;
    }
}
.remember-box{
    user-select: none;
}
.remember-box>input{
    display: none;
}

.log-in-remember{
    cursor: pointer;
}

.log-in-check{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 1.2rem;
    height: 1.2rem;
    border: 2px solid #eeeeee;
    border-radius: 2px;
    background-color: transparent;
    color: rgba(255, 255, 255, 0);
}

.log-in-check.active{
    border: none;
    background: linear-gradient(45deg, #113754,  #de03cc);
    color: rgba(255, 255, 255, 1);
}


.log-in-split{
    padding-top: 1rem;
    display: flex;
    justify-content: space-between;
    font-size: .8rem;
}

.log-in-submit{
    width: 100%;
    margin: 2rem 0;
    padding: .7rem;
    background-image: linear-gradient(45deg, #113754,  #de03cc);
    background-size: 100%;
    color: #ffffff;
    background-position: center;
    border: none;
    outline: none;
    cursor: pointer;
    border-radius: 2px;
    transition: background-size .5s ease-in-out;
}

.log-in-submit:hover{
    background-size: 200%;
}


body.deals-board{
    background-color: #f5f7f9;
    padding: 40px;
    font-size: 14px;
}

div.deals-board {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 1.25rem;
}
.deals-board>header{
    margin-bottom: 32px;
    user-select: none;
}

.deals-board>header>div{
    display: flex;
    align-items: center;
    gap: .5rem;
    h1{
        margin: 0;
    }
}

.deals-board>header>p{
    color: #737B8C;
    font-size: .9rem;
    margin: 0;
}

.deals-column__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.indicator {
    width: .6rem;
    height: .6rem;
    display: inline-block;
    border-radius: 50%;
    margin-right: .5rem;
}

.counter{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #eaecf0;
    color: #737b8c;
    min-height: 1.5rem;
    min-width: 1.5rem;
    aspect-ratio: 1/1;
    border-radius: 50%;
}

.new{
    .indicator{background-color: var(--blue);}
    .deals-card{border-left-color: var(--blue);}
}

.inwork{
    .indicator{background-color: var(--orange);}
    .deals-card{border-left-color: var(--orange);}
}

.signed{
    .indicator{background-color: var(--green);}
    .deals-card{border-left-color: var(--green);}
}

.canceled{
    .indicator{background-color: var(--red);}
    .deals-card{border-left-color: var(--red);}
}

.deals-column__container{
    background-color: #eaecf080;
    padding: .75rem;
    border-radius: .75rem;
    display: flex;
    flex-direction: column;
    gap: .75rem;
    min-height: 250px;
}

.deals-card{
    background-color: #ffffff;
    padding: .75rem;
    border-radius: .75rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    text-decoration: none;
    color: inherit;
    border-left-width: 4px;
    border-left-style: solid;
    cursor: pointer;
    svg{
        width: 16px;
    }

    .client{
        color: #131720;
        font-weight: 500;
        margin: 0;
    }

    .manager{
        color: #737b8c;
        font-size: 12px;
        margin: 0;
        
    }
}

.deals-card__header{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.deals-card__details{
    display: flex;
    flex-direction: column;
}

.deals-card__sum{
    font-weight: 600;
    color: #131720;
    text-align: right;
}

.deals-card__date{
    color: #737b8c;
    font-size: 12px;
}

.text-split{
    display: flex;
    align-items: center;
    gap: .5rem;
}

.dashboard-link{
    text-decoration: none;
    color: inherit;
}

.dashboard-link:hover{
    text-decoration: underline;
}

.dashboard-link.blue:hover{
    color: var(--blue);
}

.text-big{
    font-size: 2rem;
    svg{
        width: 1.5rem;
    }
}

.mt-0{
    margin-top: 0;
}

.nav-menu{
    display: none;
    flex-direction: column;
    gap: 10px;
    position: fixed;
    background-color: #ffffff;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    padding: 0;
    min-width: 150px;
    margin: 0;
    list-style: none;
    li{
        padding: .5rem;
    }

    li:hover{
        background-color: #eaecf080;
    }
    a{
        color: inherit;
        text-decoration: none;
        display: block;
        padding: .5rem;
    }
}

.nav-menu.active{
    display: flex;
}

#menu-trigger{
    cursor: pointer;
    fill: rgba(0,0,0,0);
    transition: fill .3s ease-in-out;
}

#menu-trigger.active{
    fill: var(--blue);
}


.submit-button{
    width: 100%;
    padding: .75rem;
    background-color: var(--blue);
    color: #ffffff;
    background-position: center;
    border: none;
    outline: none;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color .3s ease-in-out;
}

.submit-button:hover{
    background-color: #2a5db3;
}

.log-in-select{
    width: calc(100% - 1rem);
    border: 0;
    outline: none;
    background: transparent;
    justify-self: flex-start;
    cursor: pointer;
}

.nav-menu-link{
    color: inherit;
    text-decoration: none;
    display: block;
    padding: .5rem;
    width: 100%;
    text-align: left;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
}

.deal-main{
    border-left-width: 0;
    /* width: 50%; */
    margin: auto;
    padding: 24px;
}

.svg-20{
    width: 20px;
    height: 20px;
}

.deal-title{
    font-size: 1.25rem;
    font-weight: 700;
}

.deals-card__grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    p{
        margin: 0;
    }
}

.mb-16{
    margin-bottom: 16px;
}

.badge{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 4px 12px;
    border-radius: 20px;
    font-size: 0.75rem;
    font-weight: 500;
    background-color: var(--blue);
    color: #ffffff;
    text-transform: capitalize;
}

.bold{
    font-weight: 500;
}

.w-50{
    width: 50%;
    margin: auto;
}

.comment-input{
    background-color: #ffffff;
    border: 0;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    border-radius: 0.75rem;
    width: 100%;
    display: block;
    min-height: 4rem;
    padding: 1rem;
    outline: none;
}

.comment-button{
    width: fit-content;
    margin-top: 8px;
    padding: 0.5rem 1rem;
}

.comment{
    background-color: #ffffff;
    padding: .75rem;
    border-radius: .75rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    text-decoration: none;
    color: inherit;
}

.select-form{
    background-color: #eeeeee;
    border-radius: 2px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    padding-top: .5rem;
    padding-bottom: .5rem;
}

.status-select{
    background: none;
    border: none;
    padding: 0 .5rem;
    margin-right: .5rem;
}

.response-table{
    background: #ffffff;
    border: 1px solid #9a9ca1;
    border-radius: 4px;
    border-collapse: collapse;
    td{
        border: 1px solid #9a9ca1;
        padding: .5rem;
    }
}

.response-table__header{
    background-color: var(--blue);
    color: #ffffff;
}

.no-button{
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}

.deals-card__survey{
    font-size: 0.9rem;
    color: #737B8C;
    font-weight: 400;
    position: relative;
}

.deal-card-mvc{
    display: none;
    position: absolute;
    min-width: 500px;
    background-color: #ffffff;
    border-radius: .75rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    padding: 1.75rem;
    padding-left: 3rem;
    margin: 0;
    z-index: 10;
    li{
        padding-top: .5rem;
        padding-bottom: .5rem;
    }
}
.deals-card__survey:hover .deal-card-mvc{
    display: block;
}

.flex-title{
    display: flex;
    align-items: center;
    gap: 8px;
}

.sum-card{
    display: none;
    gap: 8px;
    position: absolute;
    top: 100%;
    min-width: 250px;
    background-color: #ffffff;
    border-radius: .75rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    padding: 1rem;
    input{
        border: 1px solid #737B8C;
        border-radius: 4px;
        padding: .5rem;
        outline: none;
    }
    button{
        margin: 0;
    }
}

.sum-card.active{
    display: flex;
}

.d-r{
    position: relative;
}

form.default{
    background-color: #FFFFFF;
    width: 50%;
    border-radius: 1rem;
    border: 1px solid #DDDDDD;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.default-group {
    display: flex;
    flex-direction: column;
    gap: .5rem;

    label{
        font-weight: 600;
    }

    input, select{
        background: #f5f7f9;
        border: 1px solid #ddd;
        padding: .7rem;
        border-radius: .5rem;
    }

}

.default-button{
    border-radius:.5rem;
}

.header-button{
    width: fit-content;
    margin-left: auto;
    text-decoration: none;
}

.b-table{
    width: 100%;
    text-align: left;
    border-collapse: collapse;

}

.b-table td, .b-table th{
    border-bottom: 1px solid #ddd;
    padding: 1rem;
}

.b-table thead{
    background-color: var(--blue);
    color: #ffffff;
    border-radius: 4px 4px 0 0;
}

.b-table tr:nth-child(even){
    background-color: #fafafa;
}

.b-table a{
    color: var(--blue);
}

.default-group-grid2{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
}

button.cancelled-bg:hover{
    background-color: #b32222;
}

.cancelled-bg{
    background-color: var(--red);
}

#add-budget-frame{
    display: none;
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    align-items: center;
    justify-content: center;
    background-color: #000a;
}

.tabs{
    display: flex;
    gap: 0;
    background-color: #eee;
    margin-bottom: 1rem;
}

.tablinks{
    padding: 1rem 2rem;
    border: 0;
    background-color: #eee;
    cursor: pointer;
}

.tablinks.active{
    background-color: var(--blue);
    color: #ffffff;
    font-weight: 600;
}

.tablinks:not(.active):hover{
    background-color: #e1e1e1;
}

.date-input{
    border: 1px solid #ddd;
    border-radius: .5rem;
    padding: .7rem;
    outline: none;
}

.text-green{
    color: #1ea750;
}

.text-red{
    color: var(--red);
}

@media screen and (max-width: 800px){
    .text-split.header-button{
        span{
            display: none;
        }
    }

    .ap-none{
        display: none;
    }

    div.deals-board{
        grid-template-columns: 1fr;
    }
    .deals-column__container{
        min-height: auto;
    }

    body.log-in{
        background-image: none;
        background-color: #ffffff;
        display: block;
    }

    .log-in-container {
        padding-right: 10%;
        form{
            width: 100%;
        }
    }

    .w-50.deal-card-mvd{
        width: 100%;
    }
    .deals-card__grid{
        grid-template-columns: 1fr;
    }

    .ap-select-form{
        margin-top: 0;
        margin-bottom: 0;
    }

    .ap-form-default{
        width: 100% !important;
    }

    .ap-wrap{
        flex-wrap: wrap;
        a{
            width: 100%;
        }
    }

    .ap-w100{
        width: 100% !important;
    }
}